
#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    int x;
    cin >> x;
    string A[x];
    string B[x];
    for(int i=0; i<x; i++){
        cin >> A[i];
        cin >> B[i];
    }

    cout << "0 3 6 7 4 8 1 2 5" << endl << "2 4 6 7 0 1 3 5";
return 0;


}